"use strict"; // Strict like your grammar teacher.

// http://goo.gl/4tpqZI
//
//

var real_headlines = [
  "Violence in Ukraine Creates Deepening Clash Between East and West",
  "2 Deadly Blasts Rock Beirut, as Violence Seeps From Syria",
  "Iran and 6 Powers Agree on Terms for Nuclear Talks",
  "Ukraine Crisis Deepens as Death Toll Climbs",
  "Police Fatally Shoot 8 After What China Calls a Terrorist Attack",
  "Chief Minister of Delhi Resigns After 49 Days, Citing Resistance to Antigraft Bill",
  "Guantánamo Bay Prosecutors Accuse Detainee of Conspiracy",
  "No Evidence of Coffee Break on Mars",
  "Obama Promises New Aid to Jordan in Refugee Crisis",
  "Medicines Made in India Set Off Safety Worries",
  "Pakistan Ends Blockade of NATO Supply Route into Afghanistan"
  ];

var altered_headlines = [
  "Refugee Calls to Agree on Terms of Conspiracy Bill",
  "Delhi Bay Deepens as Nuclear Coffee Resigns",
  "2 Deadly Prosecutors Made a Terrorist Attack",
  "No Evidence of Aid Between Police and Death",
  "Minister of Mars Promises to Shoot Coffee to death",
  "New Resistance Set Off 8 Prosecutors in Iran",
  "China Medicines on Mars",
  "6 Blasts, 2 Days, 8 Worries, 49 Promises",
  "Chief Calls a Terrorist from Syria on Coffee Break",
  "Deadly Crisis after Police Clash Between Evidence and Conspiracy",
  ];





window.onload = function(){
  
   loop(real_headlines, 4000, 0, 0, 0, {first_time: true});
};


var loop = function(list, time, current_index, next_index, final_index, options){
  var i = current_index;
  var a = next_index;
  var z = final_index;

  var verbs        = ["Creates","Seeps","Agree","Climbs","Shoot","Rock","Calls","Deepens","Resigns","Accuse","Promises","Made","Set off","Ends"];
  var nouns        = ["Violence","Ukraine","Jordan","Death","East","West","Crisis","Days","Conspiracy","Beirut","Clash","Syria",
                      "Iran","Terms","Toll","Talks","Police","China","Terrorist","Attack","Chief","Minister","Delhi","Resistance","Bill","Guantánamo",
                      "Bay","Prosecutors","Detainee","Evidence","Coffee","Break","Mars","Obama","Aid","Refugee","India","Safety","Worries",
                      "Pakistan","Blockade","NATO","Supply","Route","Afghanistan","Powers","Blasts","Medicines","Safety"];
  var numbers      = ["2","6","49","8"];
  var prepositions = ["from","to","of","on","in","into","no","a","as","and","After","What","Between"];
  var adjectives   = ["Nuclear","Deepening","Deadly","New","Deepening","Fatally","Terrorist","Chief","New"];


  var R = function(strings){
    return strings[Math.floor(Math.random() * strings.length)];
  }


  var random_sentences_one  = [ R(nouns) + " " +
                                R(verbs) + " " +
                                R(prepositions) + " " +
                                R(nouns) + " " +
                                R(verbs) + " " +
                                R(adjectives) + " " +
                                R(nouns)
                               ];

  var random_sentences_two  = [ R(numbers) + " " +
                                R(adjectives) + " " +
                                R(nouns) + " " +
                                R(verbs) + " " +
                                R(prepositions) + " " +
                                R(nouns)
                              ];

  var random_sentences_three = [  R(prepositions) + " " +
                                  R(nouns) + " " +
                                  R(prepositions) + " " +
                                  R(adjectives) + " " +
                                  R(nouns) + " " +
                                  R(verbs) + " " +
                                  R(nouns)
                                ];

  var randomized_headlines = [ random_sentences_one,
                               random_sentences_two,
                               random_sentences_three
                              ];
  
  

  if(options == undefined){
    options = {first_time: false}
  }

  if(options.first_time == true){
    print(list[i]);
    loop(list, time, i+1, a, z);
    return;
  }

  setTimeout(function(){
    i++;
    a++;
    z++;

    // console.log("i:" + i);
    // console.log("a:" + a);
    

    if(i < list.length){
      print(list[i]);
      loop(list, time, i, a, z);

    } else {
      var next = 1;
      console.log("next: "+next);
    }

    if(next == 1) {
      print(altered_headlines[a-10]);
      if ((a-10) < altered_headlines.length){
        loop(altered_headlines, time, i, a, z);
      } else {
        next = 2;
        console.log("next: "+next);
      }
    }

    console.log("z before 2: "+z);

    if(next == 2) {
      if(z == 23){
      print(randomized_headlines[z-23])
      }

      if ((z-20) < randomized_headlines.length){
        console.log("z after 2: "+z);
        print(randomized_headlines[z-20])
        loop(randomized_headlines, time, i, a, z); 
      }
      else{
        z = 19;
        loop(randomized_headlines, time, i, a, z); 
      }
    }
  }, time);

};

// Prints the sentence "input", after "delay" seconds.
var print = function(input, delay){

  var delay_in_seconds = delay * 1000;

  setTimeout(function(){
    document.getElementById('the-news').innerHTML = "<span> <a>" + input + "</a></span>";
  }, delay_in_seconds);

};

var read = function(){
  return document.getElementById('the-news').innerHTML;
};

var replace_word = function(sentence_to_replace, word_to_replace, new_word){
  return sentence_to_replace.replace(word_to_replace, new_word);
};

